package org.wfc.omada.api.insight.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * DeleteIpsThreat
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:42:30.396+08:00[Asia/Shanghai]")

public class DeleteIpsThreat   {
  @JsonProperty("threatId")
  @Valid
  private List<IpsOperateThreatIdAndTime> threatId = null;

  public DeleteIpsThreat threatId(List<IpsOperateThreatIdAndTime> threatId) {
    this.threatId = threatId;
    return this;
  }

  public DeleteIpsThreat addThreatIdItem(IpsOperateThreatIdAndTime threatIdItem) {
    if (this.threatId == null) {
      this.threatId = new ArrayList<>();
    }
    this.threatId.add(threatIdItem);
    return this;
  }

  /**
   * IPS threatId and Time list.
   * @return threatId
  */
  @ApiModelProperty(value = "IPS threatId and Time list.")

  @Valid

  public List<IpsOperateThreatIdAndTime> getThreatId() {
    return threatId;
  }

  public void setThreatId(List<IpsOperateThreatIdAndTime> threatId) {
    this.threatId = threatId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeleteIpsThreat deleteIpsThreat = (DeleteIpsThreat) o;
    return Objects.equals(this.threatId, deleteIpsThreat.threatId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(threatId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeleteIpsThreat {\n");
    
    sb.append("    threatId: ").append(toIndentedString(threatId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

